- Main Page
- Namespaces
- Data Structures
- Files

- Search for |

- File List
- Globals

# HydroSDL/hydro_source/dataFillings.cpp File Reference

`#include "math.h"`
`#include "mex.h"`
`#include "string.h"`
`#include "Datas.h"`
`#include "dataFillings.h"`

Include dependency graph for dataFillings.cpp:

Go to the source code of this file.

## Defines
#define | pi 3.141592653589793
## Functions
void | data_init (datas *d)
| Initialize constants in the data strucure datas.
void | data_update_state (datas *d, double *state)
| Update data structure datas from state-vector.
void | data_update_param (datas *d, parameters *P)
| Update data structure datas from values from structure *P.
void | angles_update (datas *d)
| Updates angles from Target/Sliders instrument values.

## Detailed Description

Author:
  basile.graf@epfl.ch

This file contains stuff for updating the datas datastructure pointed by *d

Definition in file dataFillings.cpp.

## Define Documentation

#define PI 3.141592653589793

Definition at line 20 of file dataFillings.cpp.

#define pi 3.141592653589793

Definition at line 19 of file dataFillings.cpp.

## Function Documentation

void angles_update | ( | datas * | d | ) |

Updates angles from Target/Sliders instrument values.

Updates sufaces-angles from Target/Sliders instrument values. Angles should be controlled via these instrument variables so that both angles AND instrument appearence are modified!

Parameters:

  | *d | : pointer to the datas data-structure

Definition at line 187 of file dataFillings.cpp.

References datas::Cal_left_neutral, datas::Cal_pitch_neutral, datas::Cal_right_neutral, datas::Cal_yaw_neutral, datas::Hslider_x, datas::tanCal_left, datas::tanCal_pitch, datas::tanCal_right, datas::tanCal_yaw, datas::tanCal_yaw0, datas::target_x, datas::target_y, and datas::Vslider_x.

Referenced by DrawGLScene().

void data_init | ( | datas * | d | ) |

Initialize constants in the data strucure datas.

Initialisation for constant values (like accleration , ...)

Parameters:

  | *d | : pointer to the datas data-structure

Definition at line 26 of file dataFillings.cpp.

References datas::A_pitch, datas::A_sail, datas::A_structure, datas::Baume, datas::CD_structure, datas::Chord, datas::Chord_max, datas::Chord_min, datas::Chord_pitch, datas::Chord_yaw, datas::E_foils, datas::E_yaw, datas::Env_pitch, datas::epsilon, datas::Fac_update, datas::g, datas::Hslider_x, datas::Ix, datas::Iy, datas::Iz, datas::L_mast, datas::L_nose, datas::Long, datas::M, pi, datas::rho, datas::rho_air, datas::tanCal_left, datas::tanCal_pitch, datas::tanCal_right, datas::target_x, datas::target_y, datas::V_wave0, datas::Vslider_x, datas::Wave_amp0, datas::Wave_angle0, and datas::Wind.

Referenced by main().

void data_update_param | ( | datas * | d,
|  | parameters * | P |
| ) |  |  |

Update data structure datas from values from structure *P.

Update data structure datas from values from structure *P comming from MATLAB

Parameters:

  | *d | : pointer to the datas data-structure
  | *P | : pointer to parameters strucure comming from MATLAB

Definition at line 115 of file dataFillings.cpp.

References datas::alpha_foils, datas::alpha_left, datas::alpha_right, datas::angle_girouette, datas::Cal_left_neutral, datas::Cal_pitch_neutral, datas::Cal_right_neutral, datas::Cal_yaw_neutral, datas::E_yaw, datas::Env, datas::Fac_update, datas::G_shift, datas::L_mast, datas::Lambda, datas::Lambda0, datas::Lambda1, datas::Lambda2, datas::Long, datas::max_abs_angle_baume, datas::N, parameters::param, pi, datas::tanAngle_sail, datas::tanCal_left, datas::tanCal_right, datas::tanCal_yaw, datas::tanCal_yaw0, datas::V_wave, datas::V_wave0, datas::V_wave1, datas::V_wave2, datas::Wave_amp, datas::Wave_amp0, datas::Wave_amp1, datas::Wave_amp2, datas::Wave_angle, datas::Wave_angle0, datas::Wave_angle1, datas::Wave_angle2, datas::Wind, datas::Wind_angle, datas::Wind_x, datas::Wind_y, datas::x_foils, datas::x_pitch, datas::x_sail, datas::x_yaw, datas::y_foil_left, datas::y_foil_right, datas::y_pitch, datas::y_sail, datas::y_yaw, datas::z_foils, datas::z_pitch, datas::z_sail, and datas::z_yaw.

Referenced by main().

void data_update_state | ( | datas * | d,
|  | double * | state |
| ) |  |  |

Update data structure datas from state-vector.

Update data structure datas from state-vector (i.e. state or )

Parameters:

  | *d | : pointer to the datas data-structure
  | state,: | pointer to state vector (, double[12])

Definition at line 86 of file dataFillings.cpp.

References datas::dphi, datas::dpsi, datas::dtheta, datas::dx, datas::dy, datas::dz, datas::phi, datas::psi, datas::theta, datas::x, datas::y, and datas::z.

Referenced by compute_state_dot(), f(), and main().